{% extends 'front_end/base.html' %}
{% load staticfiles %}
% load static %}
{% block style %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
<link rel='stylesheet' href="{% static 'css/main.css' %}">
{% endblock style %}
{% block title %}
Search Results
{% endblock title %}
{% block body %}
<body class='body'>
<div class='anime-search-results'>
    <div>
        <h5 class='search-heading'>Search Results:</h5>
    </div>
    {% if anime_data.results %}
    {% for result in anime_data.results %}
    <a href='{% url "front_end:anime-detail" result.anime_id %}'>
    <div class='search-result-anime'>
        <div class='anime-img'>
            <img src="{{ result.image_url }}">
        </div>
        <div class='anime-details'>
            <p>{{ result.title }}<br>
            Episode(s): {{ result.episodes }}<br>
            Studio: {{ result.studio }}<br>
            {{ result.aired_string }}<br>
            </p>
        </div>
    </div>
    </a>
    {% endfor %}
    {% else %}
    <h1>Oops</h1>
    <h2>We can't seem to find the search you are looking for.</h2>
    <h5>404 Not Found</h5>
    <div class='filler'>
    </div>
    {% endif %}
    <div class='page-navigation'>
        {% if anime_data.previous %}
            <form action='{% url "front_end:anime-search" %}' method='POST'>
                {% csrf_token %}
                <input type='hidden' name='url' value='{{ anime_data.previous }}' />
                <input type="submit" value="previous">
            </form>
        {% endif %}
        {% if anime_data.next %}
            <form action='{% url "front_end:anime-search" %}' method='POST'>
                {% csrf_token %}
                <input type='hidden' name='url' value='{{ anime_data.next }}' />
                <input type="submit" value="next">
            </form>
        {% endif %}
    </div>
</div>
</body>
{% endblock %}

